mxOrthogonalLayout (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.layout.orthogonal
Class mxOrthogonalLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.orthogonal.mxOrthogonalLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxOrthogonalLayout

extends mxGraphLayout

Field Summary
`protected mxOrthogonalModel` | `orthModel`
`protected boolean` | `routeToGrid` Whether or not to route the edges along grid lines only, if the grid is enabled.

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, parent, useBoundingBox`

Constructor Summary
`mxOrthogonalLayout(mxGraph graph)`

Method Summary
`void` | `execute(Object parent)` Executes the layout for the children of the specified parent.

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`arrangeGroups, getConstraint, getConstraint, getGraph, getParentOffset, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setOrthogonalEdge, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orthModel

    protected mxOrthogonalModel orthModel

### routeToGrid

    protected boolean routeToGrid

  Whether or not to route the edges along grid lines only, if the grid is enabled. Default is false

Constructor Detail

### mxOrthogonalLayout

    public mxOrthogonalLayout(mxGraph graph)

Method Detail

### execute

    public void execute(Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Specified by:
    `execute` in interface `mxIGraphLayout`
  Overrides:
    `execute` in class `mxGraphLayout`
  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.